com.informix.csm

## Class IfxCsm.Status

- java.lang.Object
- - com.informix.csm.IfxCsm.Status

Enclosing interface:
  IfxCsm

    public static class IfxCsm.Status
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IfxCsm.Status()`

### Method Summary

Methods
`long` `getCsmCode()`
`int` `getCsmErr()`
`java.lang.String` `getCsmString()`
`void` `reset()`
`void` `setCsmCode(long code)`
`void` `setCsmErr(int err)`
`void` `setCsmString(java.lang.String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxCsm.Status

    public IfxCsm.Status()

### Method Detail

#### reset

    public void reset()

#### setCsmCode

    public void setCsmCode(long code)

#### setCsmErr

    public void setCsmErr(int err)

#### setCsmString

    public void setCsmString(java.lang.String s)

#### getCsmCode

    public long getCsmCode()

#### getCsmErr

    public int getCsmErr()

#### getCsmString

    public java.lang.String getCsmString()